Launch Week 02 wrapped — explore all five launches

Create Organization Invitations

POSThttps://api.confident-ai.com/v1/organization/invitations

Invites one or more users to your organization by email. Emails that are already members or already invited are skipped. Optionally assign an organization role to the invitees — the Owner role cannot be assigned. Inviting members is not available on the Free plan outside of the trial period.

POST/v1/organization/invitations
curl -X POST "https://api.confident-ai.com/v1/organization/invitations" \
  -H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "emails": [
    "carol@example.com",
    "dave@example.com"
  ],
  "organizationRoleId": "role-uuid-2"
}'
200
{
  "success": true,
  "data": {
    "invitations": [
      {
        "id": 101,
        "email": "carol@example.com",
        "status": "PENDING",
        "created_at": "2024-12-04T23:00:00.000Z",
        "organizationRoleId": "role-uuid-2"
      },
      {
        "id": 102,
        "email": "dave@example.com",
        "status": "PENDING",
        "created_at": "2024-12-04T23:00:00.000Z",
        "organizationRoleId": "role-uuid-2"
      }
    ]
  }
}

Headers

  • CONFIDENT_API_KEYstringRequired

    The organization API key for your Confident AI organization.

Request body

  • emailslist of stringsRequired

    One or more email addresses to invite

  • organizationRoleIdstring

    Optional organization role id to assign to all invitees. The Owner role cannot be assigned.

Response

  • successboolean

    Indicates if the request was successful

  • dataobject

    Show 1 propertyHide 1 property
    • invitationslist of objects

      List of organization invitations

      Show 5 propertiesHide 5 properties
      • idinteger

        Unique identifier for the invitation

      • emailstring

        The invited email address

      • statusenum

        The current status of the invitation

        Show 3 enum valuesHide 3 enum values
        • PENDING
        • ACCEPTED
        • DECLINED
      • created_atstring

        ISO 8601 timestamp of when the invitation was created

      • organizationRoleIdstring

        The id of the organization role the invitee will receive, or null for the default

Built byConfident AI